﻿.m-light {
	--m-color: #16ed7f;
	--m-width: 0.5rem;
	display: inline-block;
	border-radius: 50%;
	width: var(--m-width);
	height: var(--m-width);
	background-color: var(--m-color);
	margin: 6px;
	box-shadow: 0px 0px 5px var(--m-color);
	flex: 0 0 auto;
}

.m-light.m-light-normal {
	--m-color: #16ed7f;
}

.m-light.m-light-danger {
	--m-color: #FC4E4E;
	animation: m-light-danger 1.5s infinite;
}

.m-light.m-light-undefined {
	--m-color: #808080;
}

.m-light.m-light-middle{
	--m-width: 0.75rem;
}

.m-light.m-light-large{
	--m-width: 1rem;
}

@keyframes m-light-danger {
	0%,100%{
		background-color: #d60000;
		box-shadow: 0px 0px 5px var(--m-color);
	}	
	20%{
		background-color: #f7a2a2;
		box-shadow: 0px 0px 5px 2px var(--m-color);
	}
}